package com.phlx.wool.entity;

import android.os.Parcel;
import android.os.Parcelable;


/**
 * 打标查看对象 zs_marke
 *
 * @author phlx
 * @date 2020-01-03
 */
public class Marke implements Parcelable {

    /**
     * $column.columnComment
     */
    private String id;

    /**
     * 牧户代码
     */
    private String pastureunitid;

    /**
     * 牧户名称
     */
    private String pastureunitname;

    /**
     * 兽医人员
     */
    private String farriername;

    /**
     * $column.columnComment
     */
    private String markecount;

    /**
     * 出生日期
     */
    private String birthdatetime;

    /**
     * 旗县市名称
     */
    private String cityname;

    /**
     * 旗县市代码
     */
    private String citycode;

    /**
     * 乡镇名称
     */
    private String townsname;

    /**
     * 乡镇代码
     */
    private String townscode;

    /**
     * 村名称
     */
    private String villagename;

    /**
     * 村代码
     */
    private String villagecode;

    /**
     * 身份证
     */
    private String idcard;

    /**
     * 牧户手机号
     */
    private String pastureunitphone;

    /**
     * 时间戳
     */
    private String inputTime;

    private String year;

    /**
     * code长度临时字段
     */
    private String flag;

    public Marke() {
    }

    protected Marke(Parcel in) {
        id = in.readString();
        pastureunitid = in.readString();
        pastureunitname = in.readString();
        farriername = in.readString();
        markecount = in.readString();
        birthdatetime = in.readString();
        cityname = in.readString();
        citycode = in.readString();
        townsname = in.readString();
        townscode = in.readString();
        villagename = in.readString();
        villagecode = in.readString();
        idcard = in.readString();
        pastureunitphone = in.readString();
        inputTime = in.readString();
        year = in.readString();
        flag = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(pastureunitid);
        dest.writeString(pastureunitname);
        dest.writeString(farriername);
        dest.writeString(markecount);
        dest.writeString(birthdatetime);
        dest.writeString(cityname);
        dest.writeString(citycode);
        dest.writeString(townsname);
        dest.writeString(townscode);
        dest.writeString(villagename);
        dest.writeString(villagecode);
        dest.writeString(idcard);
        dest.writeString(pastureunitphone);
        dest.writeString(inputTime);
        dest.writeString(year);
        dest.writeString(flag);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<Marke> CREATOR = new Creator<Marke>() {
        @Override
        public Marke createFromParcel(Parcel in) {
            return new Marke(in);
        }

        @Override
        public Marke[] newArray(int size) {
            return new Marke[size];
        }
    };

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPastureunitid() {
        return pastureunitid;
    }

    public void setPastureunitid(String pastureunitid) {
        this.pastureunitid = pastureunitid;
    }

    public String getPastureunitname() {
        return pastureunitname;
    }

    public void setPastureunitname(String pastureunitname) {
        this.pastureunitname = pastureunitname;
    }

    public String getFarriername() {
        return farriername;
    }

    public void setFarriername(String farriername) {
        this.farriername = farriername;
    }

    public String getMarkecount() {
        return markecount;
    }

    public void setMarkecount(String markecount) {
        this.markecount = markecount;
    }

    public String getBirthdatetime() {
        return birthdatetime;
    }

    public void setBirthdatetime(String birthdatetime) {
        this.birthdatetime = birthdatetime;
    }

    public String getCityname() {
        return cityname;
    }

    public void setCityname(String cityname) {
        this.cityname = cityname;
    }

    public String getCitycode() {
        return citycode;
    }

    public void setCitycode(String citycode) {
        this.citycode = citycode;
    }

    public String getTownsname() {
        return townsname;
    }

    public void setTownsname(String townsname) {
        this.townsname = townsname;
    }

    public String getTownscode() {
        return townscode;
    }

    public void setTownscode(String townscode) {
        this.townscode = townscode;
    }

    public String getVillagename() {
        return villagename;
    }

    public void setVillagename(String villagename) {
        this.villagename = villagename;
    }

    public String getVillagecode() {
        return villagecode;
    }

    public void setVillagecode(String villagecode) {
        this.villagecode = villagecode;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getPastureunitphone() {
        return pastureunitphone;
    }

    public void setPastureunitphone(String pastureunitphone) {
        this.pastureunitphone = pastureunitphone;
    }

    public String getInputTime() {
        return inputTime;
    }

    public void setInputTime(String inputTime) {
        this.inputTime = inputTime;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }
}
